package com.uas.platform.b2b.erp.model;

import com.uas.platform.b2b.model.PurchaseAcceptItem;
import com.uas.platform.b2b.model.PurchaseBadInItem;
import com.uas.platform.b2b.model.PurchaseBadOutItem;
import com.uas.platform.b2b.model.PurchaseReturnItem;

/**
 * 供应商方，ERP系统的客户采购验收单
 * @author suntg
 * @date 2015年4月20日14:02:13
 */
public class SaleProdInOutDownDetail {
	
	private Long pd_b2bid;//b2b id
	private Short pd_detno;//明细行序号
	private String pd_ordercode;//采购单编号
	private Short pd_orderdetno;//采购单明细行号
	private Double pd_inqty;//入库数量
	private Double pd_outqty;//出库数量
	private Double pd_orderprice;//采购单价
	private Double pd_taxrate;//税率
	private String pd_batchcode;//批号
	private String pd_remark;//备注
	
	public Long getPd_b2bid() {
		return pd_b2bid;
	}
	public void setPd_b2bid(Long pd_b2bid) {
		this.pd_b2bid = pd_b2bid;
	}
	public Short getPd_detno() {
		return pd_detno;
	}
	public void setPd_detno(Short pd_detno) {
		this.pd_detno = pd_detno;
	}
	public String getPd_ordercode() {
		return pd_ordercode;
	}
	public void setPd_ordercode(String pd_ordercode) {
		this.pd_ordercode = pd_ordercode;
	}
	public Short getPd_orderdetno() {
		return pd_orderdetno;
	}
	public void setPd_orderdetno(Short pd_orderdetno) {
		this.pd_orderdetno = pd_orderdetno;
	}
	public Double getPd_inqty() {
		return pd_inqty;
	}
	public void setPd_inqty(Double pd_inqty) {
		this.pd_inqty = pd_inqty;
	}
	public Double getPd_taxrate() {
		return pd_taxrate;
	}
	public void setPd_taxrate(Double pd_taxrate) {
		this.pd_taxrate = pd_taxrate;
	}
	public String getPd_batchcode() {
		return pd_batchcode;
	}
	public void setPd_batchcode(String pd_batchcode) {
		this.pd_batchcode = pd_batchcode;
	}
	public String getPd_remark() {
		return pd_remark;
	}
	public void setPd_remark(String pd_remark) {
		this.pd_remark = pd_remark;
	}
	public Double getPd_orderprice() {
		return pd_orderprice;
	}
	public void setPd_orderprice(Double pd_orderprice) {
		this.pd_orderprice = pd_orderprice;
	}
	public Double getPd_outqty() {
		return pd_outqty;
	}
	public void setPd_outqty(Double pd_outqty) {
		this.pd_outqty = pd_outqty;
	}
	
	public SaleProdInOutDownDetail(PurchaseAcceptItem acceptItem) {
		this.pd_b2bid = acceptItem.getId();
		this.pd_batchcode = acceptItem.getBatchCode();
		this.pd_detno = acceptItem.getNumber();
		this.pd_inqty = acceptItem.getQty();
		this.pd_orderprice = acceptItem.getOrderPrice();
		this.pd_ordercode = acceptItem.getOrderItem().getOrder().getCode();
		this.pd_orderdetno = acceptItem.getOrderItem().getNumber();
		this.pd_remark = acceptItem.getRemark();
		this.pd_taxrate = acceptItem.getTaxrate();
	}
	
	public SaleProdInOutDownDetail(PurchaseReturnItem returnItem) {
		this.pd_b2bid = returnItem.getId();
		this.pd_batchcode = returnItem.getBatchCode();
		this.pd_detno = returnItem.getNumber();
		this.pd_outqty = returnItem.getQty();
		this.pd_orderprice = returnItem.getOrderPrice();
		this.pd_ordercode = returnItem.getOrderItem().getOrder().getCode();
		this.pd_orderdetno = returnItem.getOrderItem().getNumber();
		this.pd_remark = returnItem.getRemark();
		this.pd_taxrate = returnItem.getTaxrate();
	}
	
	public SaleProdInOutDownDetail(PurchaseBadInItem badInItem) {
		this.pd_b2bid = badInItem.getId();
		this.pd_batchcode = badInItem.getBatchCode();
		this.pd_detno = badInItem.getNumber();
		this.pd_inqty = badInItem.getQty();
		this.pd_orderprice = badInItem.getOrderPrice();
		this.pd_ordercode = badInItem.getOrderItem().getOrder().getCode();
		this.pd_orderdetno = badInItem.getOrderItem().getNumber();
		this.pd_remark = badInItem.getRemark();
		this.pd_taxrate = badInItem.getTaxrate();
	}

	public SaleProdInOutDownDetail(PurchaseBadOutItem badOutItem) {
		this.pd_b2bid = badOutItem.getId();
		this.pd_batchcode = badOutItem.getBatchCode();
		this.pd_detno = badOutItem.getNumber();
		this.pd_outqty = badOutItem.getQty();
		this.pd_orderprice = badOutItem.getOrderPrice();
		this.pd_ordercode = badOutItem.getOrderItem().getOrder().getCode();
		this.pd_orderdetno = badOutItem.getOrderItem().getNumber();
		this.pd_remark = badOutItem.getRemark();
		this.pd_taxrate = badOutItem.getTaxrate();
	}
	
	

}
